Bug 141342 - install hangs on Dell PowerVault 745 with SATA drives (sata_vsc module)
install hangs on Dell PowerVault 745 with SATA drives (sata_vsc module)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2004-11-30 11:12 EST by Gary Zaidenweber
Modified: 2013-07-02 22:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Zaidenweber 2004-11-30 11:12:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2) Gecko/20040301

Description of problem:
Installing RedHat Enterprise Linux Version 4 - Beta 2 on Dell PowerVault 745 with Intel CD31244 SATA Controller.
 
The installation hangs early-on with a message on the main screen 'disabling irq #3'.  
 
Looking on Virtual Console 4 (ctl-alt-F4), the log states  
<3>'irq 3: nobody cared! (screaming interrupt?)'
<3>'Please try booting with acpi=off and report a bug
 
So I tried booting with acpi=off, and now I'm trying to report a bug.
 
Later in the log, the following message appears:
<3>handlers:
<3>[<f88731ca>] (vsc_sata_interrupt+0x0/0x139 [sata_vsc])
<0>Disabling IRQ #3

Version-Release number of selected component (if applicable):
rhel4-beta2

How reproducible:
Always

Steps to Reproduce:
1. Boot machine from first install CD 
2. answer initial questions
3. wait for announcement that sata_vsc module is being loaded
  

Actual Results:  machine hangs after printing above message in log on VC4

Expected Results:  the booting should have continued

Additional info:

kernel 2.6.8.1 with module-init-utils (replacing modutils) works on this machine when installed with RHEL3-update-2. Trying to install RHEL3-update-3 directly results in a similar hang.
Installing RHEL3-u2, then the kernel/module-init-utils, then updating to RHEL3-u3 by using 'rpm -Fvh *' in an appropriate directory [1] works fine too.

[1] the directory was created by copying all files from the RHEL3-u3 CD images into a single tree, as recommended.
Comment 5 Jason Baron 2006-05-01 11:54:12 EDT
committed in stream U4 build 34.27. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 Red Hat Bugzilla 2006-08-10 17:01:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.